Bug 167621 - Review Request: PyCairo - Python bindings for Cairo
Review Request: PyCairo - Python bindings for Cairo
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg DeKoenigsberg
David Lawrence
http://www.spacecentre.se/jacob/pycairo/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-06 08:34 EDT by Jacob Kroon
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: pycairo-1.0.2-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-15 09:37:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jacob Kroon 2005-09-06 08:34:18 EDT
Spec Name or Url: http://www.spacecentre.se/jacob/pycairo/pycairo.spec
SRPM Name or Url: http://www.spacecentre.se/jacob/pycairo/pycairo-1.0.0-1.src.rpm
Description: Python bindings for Cairo.

Since this is my first package I am seeking a sponsor.
Comment 1 Jacob Kroon 2005-09-11 05:24:08 EDT
PyCairo has 3 optional libraries it checks for when configuring:

 * cairo.gtk
 * cairo.svg
 * Numeric Support

cairo.gtk
=========
This module is was introduced because PyGTK (for a while) lacked a
method for creating a Cairo-context from a GtkDrawable. PyGTK 2.8.0
handles this now, so this module is deprecated now I believe.

cairo.svg
=========
Running configure gives me:

checking for libsvg-cairo >= 0.1.6...

I haven't figured out where this library lives, but I don't see
it in any of the Fedora repos (it is not librsvg2). I haven't
found a flag for configure to disable it.

Numeric Support
===============
This is handled by BuildRequire:ing python-numeric.

Currently I'm just using "./configure" without flags.
I don't "--without-pygtk", cause I am not sure if its
necessary. Numeric support is also handled, and that
leaves libsvg-support. Anyone got any ideas?
Comment 2 Michel Alexandre Salim 2005-09-12 17:19:20 EDT
Note: I can't actually sponsor anyone, being rather new myself.

- Shouldn't the package name be pycairo, in keeping with upstream?
- pygtk is pretty much always installed on a Fedora system - the configuration
  tools are mostly written in Python. Just BuildRequire: on pygtk2-devel

Hope that helps! Will look at the package later today - not in front of a Linux
box right now.

- Michel
Comment 3 Jacob Kroon 2005-09-12 18:26:56 EDT
The package is really called "pycairo", not "PyCairo", I just wrote PyCairo
for the inital package submission message to FE.

I'm not sure pygtk2 always gets installed, for instance if you do a "minimal"
install, haven't verified this though.

- Jacob
Comment 4 Paul Howarth 2005-09-13 02:43:52 EDT
Try this:

$ rpm -q --whatrequires pygtk2

on any system you have to hand. Most of the system-config-* tools use it, as do
hwbrowser and switchdesk-gui. I'd have no qualms about including pygtk2 support
at all.
Comment 5 Jacob Kroon 2005-09-18 14:39:12 EDT
I just did reinstall of FC4 minimal install, no gtk2/pygtk2 gets installed
, also for instance system-config-display requires pygtk2 and gtk
(rpm -q --requires system-config-display), so keeping it in pycairo
seems like a good idea to me at least.
Comment 6 Michael A. Peters 2005-12-20 07:20:53 EST
(In reply to comment #3)

> 
> I'm not sure pygtk2 always gets installed, for instance if you do a "minimal"
> install, haven't verified this though.

I would suspect it does not always get installed - gtk2 is an X11 library,
installs without X11 won't have it.
Comment 7 Jacob Kroon 2005-12-20 07:30:54 EST
jrb (Jonathan Blandford I think) has already imported pycairo into core, so this
bug is redundant now, so I'll close it soon.

Note You need to log in before you can comment on or make changes to this bug.